Skip to content

Revoke user consent for a specific scheme token to prevent future use.

DELETE
/v1/token-vault/{ownerType}/{ownerId}/vaults/scheme-tokens/{schemeTokenId}/user-consents/{merchantId}/{merchantShopperId}

Request example

Use the following request to revoke user consent for a scheme token associated with a merchant shopper.

curl -i -X DELETE \
  https://api-services.pxp.io/api/v1/token-vault/MerchantGroup/MERCHANT-GROUP-1/vaults/scheme-tokens/7f46c09d-d1d1-4f94-9a88-6e8ac32e6341/user-consents/MERCHANT-001/shopper-12345 \
  -H 'Content-Type: application/json'

Path parameters

ParameterDescription
ownerId
string (0 to 20 characters)
required
The unique identifier of the entity that owns the token.
ownerType
string (enum)
required
The type of entity that owns the token.

Possible values:
  • Referrer
  • MerchantGroup
  • Merchant
  • Site
schemeTokenId
string (UUID)
required
The scheme token ID.
merchantId
string
required
The merchant identifier.
merchantShopperId
string
required
The unique identifier for the shopper, as assigned by you.

Response example

If your request is successful, you'll receive a 204 response with no content. This confirms that consent has been successfully revoked and the token can no longer be used for future transactions until consent is granted again.

A 204 No Content response indicates successful revocation. The scheme token will remain in the vault but can't be used for transactions without renewed consent.